+ Responder ao Tópico



  1. #1
    juniox
    Visitante

    Padrão PHP DESGRAÇADO!

    seguinte, instalei o apache 1.3.27

    ./configure --prefix=/usr/local/apache --enable-module=most --enable-shared=max
    make
    make install

    até aí,tudo certo.

    fui instalar o php4

    ./configure --with-apxs=/usr/local/apache/bin/apxs --with-config-file-path=/usr/local/apache
    make
    make install

    porém, quando rodei o ´make´... enquanto ele configurava trocentas coisas.. no final, exibiu a seguinte mensagem e parou:
    ---------
    ext/ctype/ctype.lo: file not recognized: File truncated
    collect2: ld returned 1 exit status
    make: ** [libphp4.la] Erro 1
    ------------

    depois, rodei o ´make install´, ele fez o mesmo processo e também parou em:
    ------------
    ext/ctype/ctype.lo: file not recognized: File truncated
    collect2: ld returned 1 exit status
    make: ** [sapi/cli/php] Erro 1
    ----------

    no ../apache/conf/httpd.conf adicionei:

    AddType application/x-httpd-php .php

    quando acessei uma página local em php.. ele exibiu a programação na tela...

    por que deu isso ?
    por que aqueles erros no ´make´ e ´make install´ ?
    e como solucionar isso ?

    valew

  2. #2
    Mr_Mind
    Visitante

    Padrão PHP DESGRAÇADO!

    isso parece-m falha de dependencias ... consulte a mailing list ou a FAQ do PHP



  3. #3

    Padrão PHP DESGRAÇADO!

    Olha indepentende do erro do PHP. voce nao teria que compilar o apache como --enable-module=so para que o apache seja compilado como DSO e entao voce possa "usar" modules, no caso voce esta compilado o PHP como modulo usando apxs...

    O interessante que o php da file truncted. tente baixar denovo o arquivo do php, se possivel de outro mirror <IMG SRC="images/forum/icons/icon_smile.gif"> talvez haja uma falha no .tgz ou no proprio arquivo dentro, talvez tenha corrompido, nao sei. Apenas uma hipotese.

  4. #4
    juniox
    Visitante

    Padrão PHP DESGRAÇADO!

    ae.. realmente o problema estava no pacote do php... puxei o 4.3.1 e deu certo agora...

    tipo... tem como eu definir qual diretório suportará php e qual não suportará ?

    ex:

    /home/sites_php/ (diretório que suportará)
    /home/sites_html/ (diretório que NÃO suportará php)

    tem como fazer isso ?